cURL
curl --request POST \ --url https://web-api.clerk.chat/public/admin/users \ --header 'Content-Type: application/json' \ --header 'apiKey: <api-key>' \ --data ' { "email": "<string>", "firstName": "<string>", "lastName": "<string>", "role": "workspace_owner" } '
{ "id": "<string>", "email": "<string>", "role": "<string>", "firstName": "<string>", "lastName": "<string>" }
Adds a new user to the Clerk chat system
Documentation IndexFetch the complete documentation index at: https://docs.clerk.chat/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.clerk.chat/llms.txt
Use this file to discover all available pages before exploring further.
Request to add a new Clerk chat user
Email of the user to add
First name of the user to add
Last name of the user to add
Role of the user
workspace_owner
admin
manager
agent
member
The created Clerk chat user
Response containing Clerk chat user information
The ID of the created user
The email of the created user
The role of the created user
The first name of the created user